\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
		\begin{axis}[
			height=8cm,
			ylabel=Tiempo (segundos),
			xlabel=Número de \textit{threads},
			%
%			ymode=log,
%			log basis y={10},
			xmode=log,
			log basis x={2},
			log ticks with fixed point,
			%
			xticklabel style={
				/pgf/number format/fixed,
				/pgf/number format/precision=3
			},
			scaled x ticks=true,
			scaled y ticks=true,
		]
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/quadrant_cache_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/quadrant_memory_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/all2all_cache_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/all2all_memory_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/snc4_cache_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/snc4_memory_results/matrix_multiplication_jki.csv};
	
		\legend{\textit{quadrant}--caché, \textit{quadrant}--\textit{flat}, \textit{all-to-all}--caché, \textit{all-to-all}--\textit{flat}, SNC-4--caché, SNC-4--\textit{flat}}
		\end{axis}
	\end{tikzpicture}
	\caption{Variación en los tiempos de ejecución según el número de \textit{threads} para el anidamiento $ijk$ y orden de las matrices $n=4000$.}
	\label{fig:jki-threads-4000}
\end{figure}